commit: 0ae54929c1df07051697a0941737fe3b141f7f2a
Author: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 4 22:06:02 2020 +0000
Commit: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Tue Aug 4 22:06:02 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ae54929
dev-haskell/bytestring-show: tweak for ghc-8.8
Package-Manager: Portage-3.0.1, Repoman-2.3.23
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>
dev-haskell/bytestring-show/bytestring-show-0.3.5.6-r1.ebuild | 11 ++++++++---
1 file changed, 8 insertions(+), 3 deletions(-)
diff --git a/dev-haskell/bytestring-show/bytestring-show-0.3.5.6-r1.ebuild
b/dev-haskell/bytestring-show/bytestring-show-0.3.5.6-r1.ebuild
index 034819b9da9..c9d31c58983 100644
--- a/dev-haskell/bytestring-show/bytestring-show-0.3.5.6-r1.ebuild
+++ b/dev-haskell/bytestring-show/bytestring-show-0.3.5.6-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=7
# ebuild generated by hackport 0.3.6.9999
@@ -25,6 +25,11 @@ DEPEND="${RDEPEND}
"
src_prepare() {
+ default
+
+ # Use default for compatibility with Cabal-3
+ rm Setup.lhs || die
cabal_chdeps \
- 'binary < 0.8' 'binary'
+ 'binary < 0.8' 'binary' \
+ 'containers < 0.6' 'containers'
}